<ion-header>
  <ion-toolbar color="primary">
    <ion-buttons slot="start">
      <ion-back-button defaultHref="/home"></ion-back-button>
    </ion-buttons>
    <ion-title>Listado de Gastos</ion-title>
  </ion-toolbar>
</ion-header>

<ion-content>
  <ion-list>
    <ion-item *ngFor="let gasto of gastos" [routerLink]="['/gastos',gasto.id]">
      <ion-label>{{gasto.id}}</ion-label>
      <ion-label>{{gasto.cantidad}}</ion-label>
      <ion-label>{{gasto.descripcion}}</ion-label>      

    </ion-item>
  </ion-list>
  <ion-fab vertical="bottom" horizontal="end" slot="fixed">
    <ion-fab-button color="danger" (click)="NuevoGasto()">
      <ion-icon name="add"></ion-icon>
    </ion-fab-button>
  </ion-fab>
  
  <ion-grid>
    <ion-row>   
      <ion-col>
        <div class="ion-text-center">
          <h3>Total Gastos</h3>
          {{numero}}
        </div>
      </ion-col>
    </ion-row> 
  </ion-grid>

</ion-content> 